<?php
include_once 'session.php';

$defines = $db->select("locales$lang");
foreach ($defines as $dVal) {
  if (!defined($dVal['nazwa'])) DEFINE($dVal['nazwa'], $dVal['tekst']);
}

if (!defined("YYYY")) DEFINE("YYYY", Date("Y"));

$msg = "";
if ($_SESSION['formsends'] == "sends") {
	$msg = "Prośba o zresetowanie hasła została wysłana";
	unset($_SESSION['formsends']);
}
//include_once 'check.php';

if (isset($_GET['logout']) || isset($_POST['logout'])) {
	$db->pdoUpdate("users", "WHERE id='{$_SESSION['id_konta']}' LIMIT 1", "sid", "");
	// $pytanie = "UPDATE users SET `sid` = '' WHERE id='$_SESSION[id_konta]' LIMIT 1;";
	// mysql_query($pytanie);
  session_destroy();
	header("Location: index.php");
	exit();
}

if (DEFINED("PASSWORD_RESET_MAIL") && PASSWORD_RESET_MAIL != "" && isset($_POST['forgot'])) {
	if (isset($_POST['login']) && $_POST['login'] != "") {
		$user = $db->select("users", "*", NULL, "WHERE `login` = '{$_POST['login']}' LIMIT 1");
		if (count($user) > 0) {
			$token = $user[0]['reset_token'] != "" ? $user[0]['reset_token'] : substr(password_hash($recipent, PASSWORD_BCRYPT, ["cost" => 10]), 7);
			$tokenLink = HOME_URLSTATIC . "admin1234/reset.php?token=" . rawurlencode($token);
			$timestamp = time();

			if ($user[0]['reset_token'] == "") $pdoUpdate = $db->pdoUpdate("users", "WHERE `login` = '{$_POST['login']}' LIMIT 1", "reset_timestamp,reset_token", "{$timestamp},{$token}");

			require_once('../vendor/phpmailer/class.phpmailer.php');    //dodanie klasy phpmailer
			require_once('../vendor/phpmailer/class.smtp.php');    //dodanie klasy smtp
			
			// przygotowanie danych maila
			$from = "cms@kaczka.com";
			$fromName = "Kaczka Studio - Obsługa systemu CMS";
			if (defined("PASSWORD_RESET_MAIL")) $to = [[PASSWORD_RESET_MAIL, COMPANY]];
			$site = COMPANY;
			$topic = "Resetowanie hasła ze strony " . $data->domain;
			$topic = stripslashes($topic);

			$message = "Witamy,<br /><br />W dniu " . (date("Y-m-d H:i:s", $timestamp)) . " z adresu IP <a href=\"https://whois.domaintools.com/" . $_SERVER["REMOTE_ADDR"] . "\" target=\"_blank\" title=\"Sprawdź adres IP: " . $_SERVER["REMOTE_ADDR"] . "\">" . $_SERVER["REMOTE_ADDR"] . "</a> zażądano resetowania hasła dla <a href=\"" . HOME_URLSTATIC . "admin1234\" target=\"_blank\">panelu administracyjnego CMS</a> strony <a href=\"" . HOME_URLSTATIC . "\" target=\"_blank\">" . $data->domain . "</a>.<br /><br />Aby zresetować hasło, proszę kliknąć następujący link:<br /><a href=\"{$tokenLink}\" target=\"_blank\">{$tokenLink}</a><br /><br />Link jest aktywny przez najbliższe 10 minut. Po tym czasie należy wygenerować nowe żądanie.<br /><br />Niniejsza wiadomość została wygenerowana automatycznie, prosimy na nią nie odpowiadać.<br /><br />Pozdrawiamy,<br />Obsługa systemu CMS, <a href=\"http://www.strony.com.pl\">Kaczka Studio</a>";

			// tworzenie i ustawienie maila
			$mail = new PHPMailer();    //utworzenie nowej klasy phpmailer
			$mail->CharSet = "UTF-8";
			// $mail->Host = "kaczka.com";    //adres serwera SMTP wysyłającego e-mail
			// $mail->Mailer = "smtp";    //do wysłania zostanie użyty serwer SMTP
			// $mail->SMTPAuth = true;    //włączenie autoryzacji do serwera SMTP
			$mail->Username = $from;    //nazwa użytkownika do skrzynki e-mail cms@kaczka.com
			// $mail->Password = "gdPkYDuLAHj6ScRO5V5y";    //hasło użytkownika do skrzynki e-mail
			$mail->Port = 587; //port serwera SMTP zależny od konfiguracji dostawcy usługi poczty
			$mail->SetLanguage("pl", "phpmailer/language/");

			$mail->From = $from;
			$mail->FromName = $fromName;
			if (isset($to)) {
				$mail->addReplyTo($to[0][0], $to[0][1]);
				$mail->addAddress($to[0][0], $to[0][1]);
				$mail->addBCC($from, $fromName);
			} else $mail->addAddress($from, $fromName);
			$mail->Subject = $topic;
			$mail->Body = $message;
			$mail->AltBody = strip_tags(str_replace(["<br>", "<br />", "<br/>"], "\r\n", $message));
			$mail->IsHTML(true);
			
			if (!isset($_SESSION['formsends']) && $msg == "" && $mail->Send()) {	//sprawdzenie wysłania, jeśli wiadomość została pomyślnie wysłana
				session_destroy();
				session_start();
				$_SESSION = [];
				$_SESSION['formsends'] = "sends";
				$msg = "Prośba o zresetowanie hasła została wysłana";
				header('Location: index.php');
			} else {	//w przeciwnym wypadku
				// header('Location: index.php');
				if (!isset($_SESSION['formsends'])) $msg = "Nie udało się przetworzyć żądania.<br />Spróbuj ponownie później.<br />Jeżeli problem się powtarza, skontaktuj się z <a href=\"mailto:{$to[count($to)-1][0]}\">administratorem</a>.";
			}
			$mail->ClearAddresses();
			$mail->ClearAttachments();
		} else $msg = "Brak podanego loginu w systemie";
	} else {
		$msg = "Wymagany login";
	}
}

if (isset($_SESSION["id_konta"])) {
	header("Location: content.php");
	exit();
}

if (isset($_POST['login']) && isset($_POST['pass'])) {

$login = $_POST['login'];

$r = $db->select("users", "*", null ,"WHERE login=BINARY '$login'");

$result = [];

foreach ($r as $res) {
	if (password_verify($_POST['pass'], '$2y$10$' . $res['password'])) {
		$result = $res;
		break;
	}
}

// md5 admin
// 21232f297a57a5a743894a0e4a801fc3

// $pytanie = "SELECT * FROM users WHERE login=BINARY '$login' AND password='$pass' LIMIT 1;";
// $wiersz = mysql_query($pytanie);
// $wynik = mysql_fetch_assoc($wiersz);


if (isset($result['id'])) {
	$sid = substr($login."_".password_hash($login.date('YmdHis')), 0, 32);
	$czas = time();
	$_SESSION["id_konta"] = $result["id"];
	$_SESSION["sid"] = $sid;
	$_SESSION["last_time"] = $czas;
	$_SESSION["login_text"] = $login;

	$pdoUpdate = $db->pdoUpdate("users", "WHERE id=" . $result['id'] . " LIMIT 1", "sid, last_time", "$sid, $czas");
	// $pytanie = "UPDATE users SET `sid` = '$sid', `last_time`=$czas WHERE id=$result[id] LIMIT 1;";
	// mysql_query($pytanie);

	header("Location: content.php");
	exit();
	}
}
?>
<!DOCTYPE html>
<html lang="pl">
<head>
<meta http-equiv="cache-control" content="max-age=0" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
<meta http-equiv="pragma" content="no-cache" />
<META NAME="robots" CONTENT="noindex,nofollow">
<title><?php echo defined("ENV_TITLE") ? ENV_TITLE : ""; ?>Panel Administracyjny CMS</title>
<META HTTP-EQUIV="Content-Type" content="text/html; charset=utf-8">
<meta name="author" content="Kaczka Studio, www.kaczka.com © 2012">
<link rel="SHORTCUT ICON" href="newfavicon.ico">
<link href="https://fonts.googleapis.com/css?family=Exo+2:300,300i,500,500i,700,700i&amp;subset=latin-ext" rel="stylesheet">
<link rel="stylesheet" href="css/styl-index.css" type="text/css">
<script src="js/jquery-1.8.2.min.js"></script>
<script src="js/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="js/skrypt.js"></script>


<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
<link rel="icon" href="favicon.ico" type="image/x-icon">


<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<!--[if gte IE 9]>
  <style type="text/css">
    .gradient {
       filter: none;
    }
  </style>
<![endif]-->

</head>
<body>
    <section id="wrap">
        <article id="wrap_content">
            <form action="?" method="post">
                <input name="login" type="text" placeholder="Login" autocomplete="off" />
                <input name="pass" type="text" placeholder="Hasło" autocomplete="off" onfocus="pass.value=''; pass.type='password'" />
				<button id="submit"  type="submit" class="loguj">Zaloguj</button><?php
				if (DEFINED("PASSWORD_RESET_MAIL") && PASSWORD_RESET_MAIL != "") { ?>
				<input name="forgot" class="forgot-password" type="submit" value="Zapomniałem hasła" /><?php }

	if($_SESSION["error"] == 1)
	{
		echo "<span class=\"error\">Błędny login lub hasło.</span><br />";
		session_destroy();
	}
	elseif ($_SESSION["error"] == 2)
	{
		echo "<span class=\"error\">Musisz być zalogowany.</span><br />";
		session_destroy();
	}
	elseif ($_SESSION["error"] == 3)
	{
		echo "<span class=\"error\">Twoja sesja wygasła.</span><br />";
		session_destroy();
	}
	elseif ($_SESSION["error"] == 4)
	{
		echo "<span class=\"error\">Wylogowano.</span><br />";
		session_destroy();
	}

	if ($msg != "") echo "<span class=\"error\">{$msg}</span><br />";
ob_end_flush();
?>           
            </form>
             <p class="open"><a href="http://www.kaczka.com/">www.kaczka.com<a>

        </article>
    </section>
</body>
</html>   
