<?php
if(!isset($_SESSION["id_konta"]))
{
header("Location: ../index.php");
}

if(isset ($_GET["o"]))
{ $opcja = $_GET["o"]; }
else
{ $opcja = 0; }

$a = new Module($db, LANGS, "menu", $kat);
$p = new Panel($a, LANGS, $a->ref);

$options = [
    "options" => "enableLeveling",
    "level" => $currentLvl,
    "levelIDColumn" => "id",
    "levelParentColumn" => "rodzic",
    "levelDisplayTextColumn" => "nazwa",
    "levelSeparatorStr" => "/",
    "addDisplayText" => "menu",
    "dataTable" => true,
    "orderColumn" => "kolejnosc",
    "swapColumns" => "kolejnosc",
    "defaultSortBy" => 3,
    "inputSorting" => 3,
    "checkboxSorting" => 4
];

$renderTable = [
    "id" => [
        "name" => "ID",
        "styles" => "width: 70px; text-align: center"
    ],
    "nazwa" => [
        "name" => "Nazwa",
        "valueStyles" => "text-align: left"
    ],
    "opis" => [
        "opis" => "Opis",
        "valueStyles" => "text-align: left"
    ],
    "kolejnosc" => [
        "name" => "Kolejność",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return "<form id=\"kolejnosc" .  $data['row']['id'] . "\" method=\"POST\"><input name=\"id\" type=\"hidden\" value=\"" . $data['row']['id'] . "\" /><input class=\"inline-edit-width-50 inline-edit-text-center\" type=\"text\" name=\"kolejnosc\" value=\"" . $data['row']['kolejnosc'] . "\" autocomplete=\"off\" /></form>";
        }
    ],
    "pokaz" => [
        "name" => "Pokaż pozycję",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return "<form id=\"pokaz" . $data['row']['id'] . "\" method=\"POST\"><input name=\"id\" type=\"hidden\" value=\"" . $data['row']['id'] . "\" /><input name=\"pokaz\" type=\"hidden\" value=\"0\" /><input type=\"checkbox\" name=\"pokaz\"" . ($data['row']['pokaz'] != 0 ? " checked=\"checked\"" : "") . " /></form>";
        }
    ]
];

$renderEditor = [
    "nazwa" => [
        "lang" => "single",
        "displayName" => "Nazwa",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],
    "title" => [
        "lang" => "single",
        "displayName" => "Tytuł",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],
    "opis" => [
        "lang" => "single",
        "displayName" => "Opis",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],
    "keywords" => [
        "lang" => "single",
        "displayName" => "Słowa kluczowe",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],
    "flink" => [
        "lang" => "single",
        "displayName" => "Przyjazny link",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],
    "tekst" => [
        "lang" => "all",
        "displayName" => "Tekst",
        "displayStyles" => "width: 120px",
        "type" => "select",
        "from" => ["data" => $db->select("teksty"), "name" => "tytul", "value" => "id", "firstEmpty" => true]
        
    ],
    "kolejnosc" => [
        "lang" => "all",
        "displayName" => "Kolejność",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],  
    "typszablonu" => [
        "lang" => "all",
        "displayName" => "Typ szablonu",
        "displayStyles" => "width: 120px",
        "type" => "filelist",
        "path" => "../templates/",
        "exclude" => "/^(?:begin|form.*|header.*|footer.*|top.*|paginator).php$/i",
        "fileNameOnly" => true,
        "firstEmpty" => true
    ],
    "przekierowanie" => [
        "lang" => "single",
        "displayName" => "Przekierowanie",
        "displayStyles" => "width: 120px",
        "type" => "text"
    ],
    "grafika" => [
        "lang" => "all",
        "displayName" => "Grafika",
        "displayStyles" => "width: 120px",
        "buttonStyles" => "margin-left: 15px",
        "type" => "image"
    ],
    "pokaz" => [
        "lang" => "all",
        "displayName" => "Pokaż pozycję",
        "displayStyles" => "width: 120px",
        "type" => "checkbox",
        "fieldStyles" => "width: unset"
    ]
];

switch ($opcja){
    case 1: case 2: include_once 'dodaj_menu.php'; break;
    default: include_once 'menu.php'; break;

}

?>