$(document).ready(function() {
    var modals = $(".user-modal[data-modal-id]");
    if (modals.length > 0) {
        modals.each(function(index, item) {
            var el = $(item);
            var close = $("<div class=\"user-modal__close-btn\"></div>");
            var timer = setTimeout(function() {
                var wrap = el.wrapAll("<div class=\"user-modal__wrapper\"></div>").parent();
                wrap.prepend(close);
                var overlay = wrap.wrapAll("<div class=\"user-modal__wrapper--overlay\"></div>").parent();
                overlay.css({"display": "flex"});
                overlay.hide();
                overlay.stop(true).fadeIn();
                overlay.on("click touch", function(e) {
                    if (overlay.is(e.target) && !el.is(e.target) || close.is(e.target)) {
                        e.stopPropagation();
                        e.preventDefault();
                        overlay.stop(true).fadeOut("normal", function() {
                            overlay.remove(true, true);
                        });
                        return false;
                    }
                    return true;
                });
            }, el.attr("data-modal-delay"));
        });
    }
});
