<?php

$env = [
      "dev_local" => [
            "ENV_TITLE" => "DEV_LOCAL || ",
            // "LANG_IN_LINK" => 2,
            // "ALL_IN_ONE" => true,
            // "LAZY_LOADING" => true,
            "UPLOAD_DIR" => "userfiles",
            "DB_SERVER" => "maciej.kaczka.com",
            "DB_USER" => "29991068_jmac05",
            "DB_PASS" => "Maciej05!",
            "DB_NAME" => "29991068_jmac05",
            "FORM_MAIL_SENDER" => "mailer@marcin.kaczka.com",
            "FORM_MAIL_SENDER_NAME" => "CMS",
            "FORM_MAIL_SENDER_HOST" => "marcin.kaczka.com",
            "FORM_MAIL_SENDER_PASS" => "MailerMarcin01!",
            "FORM_MAIL_RECEIVER" => "admin@marcin.kaczka.com",
            "PASSWORD_RESET_MAIL" => "admin@marcin.kaczka.com"
      ],
      "dev_ftp" => [
            "ENV_TITLE" => "DEV_FTP || ",
            // "LANG_IN_LINK" => 2,
            "UPLOAD_DIR" => "userfiles",
            "DB_SERVER" => "maciej.kaczka.com",
            "DB_USER" => "29991068_jmac05",
            "DB_PASS" => "Maciej05!",
            "DB_NAME" => "29991068_jmac05",
            "FORM_MAIL_SENDER" => "mailer@marcin.kaczka.com",
            "FORM_MAIL_SENDER_NAME" => "CMS",
            "FORM_MAIL_SENDER_HOST" => "marcin.kaczka.com",
            "FORM_MAIL_SENDER_PASS" => "MailerMarcin01!",
            "FORM_MAIL_RECEIVER" => "admin@marcin.kaczka.com",
            "PASSWORD_RESET_MAIL" => "admin@marcin.kaczka.com"
      ],
      "prod" => [
            "HOME_ROOT" => "",
            "LANG_IN_LINK" => 2,
            "UPLOAD_DIR" => "userfiles",
            "DB_SERVER" => "maciej.kaczka.com",
            "DB_USER" => "29991068_jmac05",
            "DB_PASS" => "Maciej05!",
            "DB_NAME" => "29991068_jmac05",
      ]
];

// TO SAVE PERFORMANCE, FIRST ENTRIES SHOULD BE WITHOUT REGEXP
// AND WE SHOULD HAVE OPTION $envStopOnFirst ENABLED
// SO REGEXP WILL NOT START

$envStopOnFirst = true; // STOP AFTER FIRST ENCOUNTER
// WHEN ENABLED THEN FIRST FOUND ITEM BECOMES ENVIRONMENT SET
// WHEN DISABLED THEN LAST FOUND ITEM BECOMES ENVIRONMENT SET

$data = isset($data) ? $data : new stdClass();

$data->method = $_SERVER["REQUEST_METHOD"];
$data->protocol = isset($_SERVER["REQUEST_SCHEME"]) ? $_SERVER["REQUEST_SCHEME"] : "http";
if (isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] = "on") $data->protocol = "https";
$data->domain = $_SERVER["HTTP_HOST"];
$data->root = substr($_SERVER["SCRIPT_NAME"], 0, strrpos($_SERVER["SCRIPT_NAME"], "/") + 1);
$data->staticRoot = "{$data->protocol}://{$data->domain}{$data->root}";

$data->requestUri = substr_replace($_SERVER["REQUEST_URI"], "", 0, strlen($data->root));
$data->uri = strpos($data->requestUri, "?") === false ? $data->requestUri : substr($data->requestUri, 0, strpos($data->requestUri, "?"));
$data->query = strpos($data->requestUri, "?") === false ? "" : substr($data->requestUri, strpos($data->requestUri, "?") + 1);
while (stripos($data->query, "??") !== false || stripos($data->query, "?&") !== false || stripos($data->query, "&&") !== false) $data->query = str_replace(["??", "?&", "&&"], ["?", "?", "&"], $data->query);
$data->query = trim($data->query, "?&");
$data->requestUri = "{$data->uri}" . ($data->query != "" ? "?{$data->query}" : "");

$domain = isset($data->domain) ? $data->domain : (DEFINED("DOMENA") ? DOMENA : "localhost");
$uri = isset($data->staticRoot) ? $data->staticRoot : $_SERVER["REQUEST_URI"];

$envHosts = [
      "localhost" => "dev_local",
      "//192.168." => "dev_local",
      "pliki.kaczkastudio." => "dev_ftp",
      "maciej.kaczka." => "dev_ftp",
      $domain => "prod",
      "^(?:https?://)?localhost" => ["dev_local", true],
      "^(?:https?://)?192\.168\." => ["dev_local", true],
      "^(?:https?://)?.+?\.test(?:/|\?)" => ["dev_local", true],
      "^(?:https?://)?(www\.)?pliki\.kaczkastudio" => ["dev_ftp", true],
      "^(?:https?://)?(www\.)?.+\.kaczka\.com" => ["dev_ftp", true],
      "^(?:https?://)?(www\.)?" . preg_quote($domain) => ["prod", true]
];

$envSet = "dev_local";  // DEFAULT ENVIRONMENT

foreach ($envHosts as $envKey => $envName) {
      if (gettype($envName) == "array" && isset($envName[1]) && $envName[1] === true) {
            if (preg_match("/" . str_replace("/", "\/", $envKey) . "/i", $uri)) {
                  $envSet = $envName[0];
                  if (isset($envStopOnFirst)) break;
            }
      } else {
            if (gettype($envName) == "array") $envName = $envName[0];
            if (stripos($envKey, $uri) !== false) {
                  $envSet = $envName;
                  if (isset($envStopOnFirst)) break;
            }
      }
}

define("ENV", $envSet);

$currEnv = isset($env[ENV]) ? $env[ENV] : $env[array_keys($env)[0]];

if (!defined("LANGS")) define("LANGS", "pl"); // + en + de

?>