<?php

$routeCheckResponseCode = 200;

// VARIABLE $routes ALREADY DEFINED

if (isset($routes) && isset($routes[0]) && $routes[0] == "api") {
    require_once "core/api.php";
    exit();
}

// CHECKING STRICT URI ROUTE IF EXISTS IN DB

$search = $data->db->select("menu{$data->lang}", "*", NULL, "WHERE `flink` = '{$routes[0]}' OR `flink` = '" . implode("/", $routes) . "' ORDER BY (LENGTH(`flink`) - LENGTH(REPLACE(`flink`, \"/\", \"\")) + 1) DESC, `kolejnosc` ASC, `id` ASC");

if (isset($search[0])) {
    foreach ($search[0] as $k => $v) if ($v == "") unset($search[0][$k]);
    $data->currentMenu = array_merge($data->currentMenu, $search[0]);
    array_shift($routes);
    $data->uri = implode("/", $routes);
} else {
    // CHECKING IF ROUTE KEYWORD EXISTS IN DB

    $search = $data->db->select("menu{$data->lang}");
    $found = false;
    foreach ($search as $n) {
        if ($n["flink"] == "") continue;
        $r = preg_quote($n["flink"]);
        $t = "";
        while (preg_match("/" . ($t != "" ? "([^?]?)" : "(.?)") . "\\\{(.*?)\\\}(.?)/", $r) !== 0) {
            $r = preg_replace_callback("/(.?)\\\{(.*?)\\\}(.?)/", function($f) {
                // test(?:,(?'m'[^,$]*))?(?:,(?'t'[^$]*))?
                return "(?:{$f[1]}(" . ($f[2] != "" ? "?'{$f[2]}'" : ""). "[^{$f[3]}$]*))?{$f[3]}";
            }, $r, 1);
            $t = preg_quote("?");
        }
        $r = "#" . str_replace("#", "\\#", $r) . "#";
        $r = preg_replace("/#(.+?)\(\?:([^(]*)/", "#(?'FLINK'$1)(?:$2", $r, 1);
        $matches = [];
        if (preg_match($r, $data->uri, $matches) !== 0) {
            $found = true;
            foreach ($matches as $kM => $match) {
                if (intval($kM) === $kM) continue;
                $data->uriData[$kM] = $match;
            }
            $search = [$n, "regex" => $r];
            break;
        }
    }
    if ($found === false) {
        $routeCheckResponseCode = 404;
    } else if (isset($search["regex"]) && strpos($search["regex"], "(?'") === false) {
        $routeCheckResponseCode = 404;
    } else {
        foreach ($search[0] as $k => $v) if ($v == "") unset($search[0][$k]);
        $data->currentMenu = array_merge($data->currentMenu, $search[0]);
        $data->currentMenu["prev_id"] = $data->currentMenu["id"];
        $data->currentMenu["prev_rodzic"] = $data->currentMenu["rodzic"];
        $data->currentMenu["prev_tekst"] = $data->currentMenu["tekst"];
        if (isset($matches["m"]) && $matches["m"] != "") {
            $data->currentMenu["id"] = intval($matches["m"]);
            if (isset($menu[intval($matches["m"])])) $data->currentMenu["rodzic"] = $menu[intval($matches["m"])]["rodzic"];
        }
        if (isset($matches["t"]) && $matches["t"] != "") $data->currentMenu["tekst"] = intval($matches["t"]);
        array_shift($routes);
        $data->uri = implode("/", $routes);
    }
}

// VARIABLES FROM URI ARE STORED IN TEMPLATE DATA, E. G.
// WHEN FLINK IS THIS:
// http://localhost/test/ap,{page},{perPage}
// AND ENTERED URL IS:
// http://localhost/test/ap,5,10
// THEN THIS IS SET:
// $data->uriData["page"] = 5;
// $data->uriData["perPage"] = 10;
// $data->tplData["URLDATA_PAGE"] = 5;
// $data->tplData["URLDATA_PERPAGE"] = 10;

// DEFAULT CMS ROUTE
if (isset($routes[0]) && strtolower(substr($routes[0], 0, 2)) == "s-") {
    $route = substr(array_shift($routes), 2);
    $id = intval($route);
    if (isset($menu[$id]) && $menu[$id]["pokaz"] == 1) {
        $tmp = "{$id}-" . Utils::convertToAlphanumericOnly($menu[$id]["nazwa"]);
        if ($route == $tmp) {
            $data->currentMenu = $menu[$id];
            if (isset($routes[0]) && strtolower(substr($routes[0], 0, 2)) == "t-") {
                $route = intval(substr(array_shift($routes), 2));
                if (isset($teksty[$route])) $data->currentMenu["tekst"] = $route;
            }
            $routeCheckResponseCode = 200;
        }
    }
}

if (isset($data->uriData) && gettype($data->uriData) == "array") foreach ($data->uriData as $k => $v) $data->tplData["URLDATA_" . mb_strtoupper($k)] = $v;
