<?php

if (trim(str_replace(implode("/", $routes), "", $data->requestUri), "\\/") == $menu[5]["link"]) {
    $categories = $data->db->select("kategorie{$lang}", "*", NULL, "WHERE `aktywny` = 1");
    $category = array_shift($routes);
    $product = array_shift($routes);

    if ($category != null) {
        $breadLink = "{$menu[5]['link']}";
        $category = $data->db->select("kategorie{$lang}", "*", NULL, "WHERE `aktywny` = 1 AND `id` = '{$category}' LIMIT 1");
        if (isset($category[0])) {
            $category = $category[0];
            $products = $data->db->select("produkty{$lang}", "*", NULL, "WHERE `aktywny` = 1 AND FIND_IN_SET('{$category['id']}', `kategorie`)" . ($product != "" ? " AND `id` = '{$product}'" : ""));
            $routes = [$menu[5]["link"], "{$category['id']}-" . Utils::makeLink(mb_strtolower($category["nazwa"]))];
            $data->currentMenu["link"] = isset($category["flink"]) && $category["flink"] != "" ? $category["flink"] : "{$menu[5]['link']}/{$routes[1]}";
            $bread = Utils::generateBreadcrumbs($categories, $category["id"]);
            array_walk($bread, function(&$item) use (&$data, &$breadLink) {
                $item["link"] = isset($item["flink"]) && $item["flink"] != "" ? $item["flink"] : "{$breadLink}/{$item['id']}-" . Utils::makeLink(mb_strtolower($item["nazwa"]));
                $data->bread[] = $item;
            });
        }
        else $category = false;
    } else $category = false;
    if ($category && count($products) > 0 && $product != null) {
        $product = $products[0];
        $routes[] = "{$product['id']}-" . Utils::makeLink(mb_strtolower($product["nazwa"]));
        $data->currentMenu["link"] = isset($product["flink"]) && $product["flink"] != "" ? $product["flink"] : "{$breadLink}/{$routes[1]}/{$routes[2]}";
        $data->bread[] = array_merge($product, [
            "nazwa" => $product["nazwa"],
            "link" => $data->currentMenu["link"]
        ]);
    } else $product = false;

    $item = false;

    // SINGLE PRODUCT
    if ($product !== false) {
        array_unshift($data->bread, []);
        $data->tplData["REGENERATE_BREADCRUMBS"]();
        $addTitle = implode(" - ", array_map(function($item) {
            return $item["nazwa"];
        }, array_reverse($data->bread)));
        $data->tplData["TITLE"] = "{$addTitle} - {$data->tplData['TITLE']}";
        ob_start();
        $data->tplData["CMS_TEXT"] = ob_get_clean();
        if (isset($product["meta_title"]) && $product["meta_title"] != "") $data->tplData["TITLE"] = $product["meta_title"];
        if (isset($product["meta_desc"]) && $product["meta_desc"] != "") $data->tplData["MENU_DESCRIPTION"] = $product["meta_desc"];
        if (isset($product["meta_keys"]) && $product["meta_keys"] != "") $data->tplData["MENU_KEYWORDS"] = $product["meta_keys"];
        $item = $product;
        $data->tplData["CUSTOM_BODY_CLASS"] = "page page--categories page--product";
    } else {
        // SINGLE CATEGORY
        if ($category !== false) {
            array_unshift($data->bread, []);
            $data->tplData["REGENERATE_BREADCRUMBS"]();
            $addTitle = implode(" - ", array_map(function($item) {
                return $item["nazwa"];
            }, array_reverse($data->bread)));
            $data->tplData["TITLE"] = "{$addTitle} - {$data->tplData['TITLE']}";
            ob_start();
            $data->tplData["CMS_TEXT"] = ob_get_clean();
            if (isset($category["meta_title"]) && $category["meta_title"] != "") $data->tplData["TITLE"] = $category["meta_title"];
            if (isset($category["meta_desc"]) && $category["meta_desc"] != "") $data->tplData["MENU_DESCRIPTION"] = $category["meta_desc"];
            if (isset($category["meta_keys"]) && $category["meta_keys"] != "") $data->tplData["MENU_KEYWORDS"] = $category["meta_keys"];
            $item = $category;
            $data->tplData["CUSTOM_BODY_CLASS"] = "page page--categories page--category";
        }
    }

    if ($category != null || $product != null) {
        $bread = array_slice($data->bread, 1);
        foreach ($bread as $b) {
            if (isset($b["zdjecie"]) && $b["zdjecie"] != "") $item["zdjecie"] = $b["zdjecie"];
        }
        ob_start();
        $html = "";
        if (isset($item["zdjecie"]) && $item["zdjecie"] != "" && @getimagesize($item["zdjecie"])) {
            $html .= "<div class=\"grid-cell-1-of-2 border-hexagon item__image\"><img src=\"{$item['zdjecie']}\" title=\"{$item['nazwa']}\"></div>";
        }
        if (isset($item["karta"]) && $item["karta"] != "") {
            $html .= "<div class=\"grid-cell-1-of-2 item__card\">{%CHARACTERISTICS_CARD%}<br /><a href=\"{$item['karta']}\" target=\"_blank\">{%CLICK%}</a></div>";
        }
        if ($html != "") $html = "<div class=\"grid-wrapper\">{$html}</div>";
        echo $html;
        echo "<h2 class=\"item__name\">{$item['nazwa']}</h2><div class=\"item__desc\">{$item['opis']}</div>";

        if (isset($item["galeria"]) && $item["galeria"] != "") {
            $gallery = Utils::dirFiles($item["galeria"]);
            echo "<div class=\"gallery\">";
            foreach ($gallery as $galleryItem) {
                $galleryItemTitle = pathinfo($galleryItem, PATHINFO_FILENAME);
                $galleryItemThumb = $galleryItem;
                $galleryItemThumb = str_replace("\\", "/", $galleryItemThumb);
                $galleryItemThumb = substr($galleryItemThumb, 0, strrpos($galleryItemThumb, "/") + 1) . "thumbs/" . substr($galleryItemThumb, strrpos($galleryItemThumb, "/") + 1);
                if (!(file_exists($galleryItemThumb) && ($info = @getimagesize($galleryItemThumb)))) $galleryItemThumb = $galleryItem;
                echo "<a href=\"{$galleryItem}\" title=\"{$galleryItemTitle}\" target=\"_blank\"><img src=\"{$galleryItemThumb}\" alt=\"{$galleryItemTitle}\" /></a>";
            }
            echo "</div>";
        }

        if ($product === false) {
            echo "<div class=\"grid-wrapper category-products\">";
            foreach ($products as $item) {
                $image = "userfiles/produkty/farba-placeholder.png";
                $link = "{$menu[5]['link']}/{$category['id']}-" . Utils::makeLink(mb_strtolower($category["nazwa"])) . "/{$item['id']}-" . Utils::makeLink(mb_strtolower($item["nazwa"]));
                if (isset($item["flink"]) && $item["flink"] != "") $link = $item["flink"];
                if (isset($item["zdjecie"]) && $item["zdjecie"] != "") $image = $item["zdjecie"];
                if ($image == "" || !@getimagesize($image)) $image = "userfiles/produkty/farba-placeholder.jpg";
                echo "<div class=\"grid-cell-1-of-3 category-product\"><a href=\"{$link}\"><span class=\"category-product__image\"><img src=\"{$image}\" /></span>{$item['nazwa']}</a></div>";
            }
            echo "</div>";
        }
        $html = ob_get_clean();
        if (strip_tags($html) != "") $data->tplData["CMS_TEXT"] = $html;
    }

    if ($category != null && $product == null && count($products) == 0) $data->tplData["CMS_TEXT"] .= "{%NO_PRODUCTS%}";
}
