<?php

$formName = isset($formName) ? $formName : "form";
$formRedirect = isset($formRedirect) ? $formRedirect : $_SERVER['REQUEST_URI'];

if (isset($_SESSION[$formName]) && $_SESSION[$formName]['state'] == "send-success") unset($_SESSION[$formName]);
if (isset($_SESSION[$formName]) && $_SESSION[$formName]['stateMessage'] == "verification-error") unset($_SESSION[$formName]);

$messages = array_merge([
    "ready" => "",
    "sending" => "<div class=\"comunication\">" . (defined("FORM_MSG_SENDING") ? FORM_MSG_SENDING : "Wysyłanie") . "</div>",
    "send-success" => "<div class=\"comunication\">" . (defined("FORM_MSG_SEND_SUCCESS") ? FORM_MSG_SEND_SUCCESS : "Sukces") . "</div>",
    "send-error" => "<div class=\"comunication notsend\">" . (defined("FORM_MSG_SEND_ERROR") ? FORM_MSG_SEND_ERROR : "Błąd wysyłania") . "</div>",
    "verification-error" => "<div class=\"comunication notsend\">" . (defined("FORM_MSG_VERIFICATION_ERROR") ? FORM_MSG_VERIFICATION_ERROR : "Błąd weryfikacji") . "</div>",
    "not-send" => "<div class=\"comunication notsend\">" . (defined("FORM_MSG_NOT_SEND") ? FORM_MSG_NOT_SEND : "Problem z rozpoczęciem wysłania") . "</div>"
], isset($messages) ? $messages : []);

$_SESSION[$formName] = array_merge([
    "name" => false,
    "mail" => false,
    "security" => ["a" => rand(0, 5), "b" => rand(0, 4)],
    "securityCheck" => false,
    "message" => false,
    "submit" => false,
    "state" => "ready",
    "stateMessage" => ""
], isset($_SESSION[$formName]) ? $_SESSION[$formName] : []);

if (isset($_POST[$formName]) && $_SESSION[$formName]['state'] == "ready") {
    $_SESSION[$formName] = array_merge($_SESSION[$formName], [
        "name" => isset($_POST[$formName]["name"]) ? $_POST[$formName]["name"] : false,
        "mail" => isset($_POST[$formName]["mail"]) ? $_POST[$formName]["mail"] : false,
        "securityTest" => $_SESSION[$formName]["security"],
        "securityCheck" => isset($_POST[$formName]["securityCheck"]) ? $_POST[$formName]["securityCheck"] : false,
        "message" => isset($_POST[$formName]["message"]) ? $_POST[$formName]["message"] : false,
        "submit" => isset($_POST[$formName]["submit"]) ? $_POST[$formName]["submit"] : false,
        "state" => "sending"
    ]);
    // if ($_SESSION[$formName]['security']['a'] + $_SESSION[$formName]['security']['b'] != $_SESSION[$formName]['securityCheck']) $_SESSION[$formName] = array_merge($_SESSION[$formName], ["state" => "verification-error"]);
    header("Location: {$formRedirect}");
    exit();
}

if ($_SESSION[$formName]['state'] == "sending") {
    require_once "form-send.php";
}

$formReadOnly = "";
if ($_SESSION[$formName]['state'] == "sending" || $_SESSION[$formName]['state'] == "send-success") $formReadOnly = " readonly=\"readonly\" disabled=\"disabled\"";
?>
<form class="<?php echo $formName; ?>" name="<?php echo $formName; ?>" method="POST" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
    <input name="<?php echo $formName; ?>[name]" type="text" placeholder="<?php echo FORM_FULL_NAME; ?>" required="required"<?php echo $formReadOnly . ($_SESSION[$formName]['name'] ? " value=\"{$_SESSION[$formName]['name']}\"" : ""); ?>>
    <input name="<?php echo $formName; ?>[mail]" type="text" placeholder="<?php echo FORM_MAIL; ?>" required="required"<?php echo $formReadOnly . ($_SESSION[$formName]['mail'] ? " value=\"{$_SESSION[$formName]['mail']}\"" : ""); ?>>
    <input name="<?php echo $formName; ?>[securityCheck]" type="text" placeholder="<?php if (isset($_SESSION[$formName]['security'])) printf("%1s + %1s = ?", $_SESSION[$formName]['security']['a'], $_SESSION[$formName]['security']['b']); ?>" required="required" autocomplete="off"<?php echo $formReadOnly . ($_SESSION[$formName]['securityCheck'] && $_SESSION[$formName]['state'] == "send-success" ? " value=\"{$_SESSION[$formName]['securityCheck']}\"" : ""); ?>>
    <textarea name="<?php echo $formName; ?>[message]" placeholder="<?php echo FORM_MESSAGE_CONTENT; ?>" required="required"<?php echo $formReadOnly; ?>><?php if ($_SESSION[$formName]['message']) echo $_SESSION[$formName]['message']; ?></textarea>
    <label for="<?php echo $formName; ?>[rodo]" class="<?php echo $formName; ?> agreement">
        <input id="<?php echo $formName; ?>[rodo]" name="<?php echo $formName; ?>[rodo]" type="checkbox" required="required">
    <?php echo $teksty[14]; ?>
    </label>
    <p class="<?php echo $formName; ?> message message--<?php echo $_SESSION[$formName]['stateMessage']; ?>">
    <input class="round-link" name="<?php echo $formName; ?>[submit]" type="submit" value="<?php echo FORM_SUBMIT; ?>"<?php echo $formReadOnly; ?>><?php echo isset($messages[$_SESSION[$formName]['stateMessage']]) ? $messages[$_SESSION[$formName]['stateMessage']] : ""; ?></p><?php
?>
</form>

<?php
