<!DOCTYPE html>
<html lang="{%LANG%}"{%CUSTOM_HTML_CLASS%}>
<head>
    <meta charset="{%CHARSET%}">{%META_VIEWPORT%}
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="web_author" content="Kaczka Studio, www.kaczka.com ® 2019">
    <meta name="description" content="{%MENU_DESCRIPTION%}">
    <meta name="keywords" content="{%MENU_KEYWORDS%}">
    <base href="{%STATIC_ROOT%}">{%CUSTOM_META%}
    <?php if (file_exists("userfiles/favicon.png")) { ?>
    <link rel="shortcut icon" href="{%STATIC_ROOT%}{%PATH_USERFILES%}favicon.png"><?php } ?>
    <?php if (file_exists("userfiles/favicon.ico")) { ?>
    <link rel="shortcut icon" href="{%STATIC_ROOT%}{%PATH_USERFILES%}favicon.ico"><?php } ?>
    <?php if (file_exists("userfiles/apple-touch-icon.png")) { ?>
    <link rel="apple-touch-icon" sizes="180x180" href="{%STATIC_ROOT%}{%PATH_USERFILES%}apple-touch-icon.png"><?php } ?>
    <?php if (file_exists("userfiles/favicon-32x32.png")) { ?>
    <link rel="icon" type="image/png" sizes="32x32" href="{%STATIC_ROOT%}{%PATH_USERFILES%}favicon-32x32.png"><?php } ?>
    <?php if (file_exists("userfiles/favicon-16x16.png")) { ?>
    <link rel="icon" type="image/png" sizes="16x16" href="{%STATIC_ROOT%}{%PATH_USERFILES%}favicon-16x16.png"><?php } ?>
    <?php if (file_exists("site.webmanifest")) { ?>
    <link rel="manifest" href="{%STATIC_ROOT%}site.webmanifest"><?php } ?>
    <link rel="preconnect" href="https://fonts.google.com/" crossorigin>

    <meta property="og:title" content="{%TITLE_PRE%}{%TITLE%}{%TITLE_POST%}" />
    <meta property="og:type" content="website" />
    <meta property="og:locale" content="pl_PL" />
    <meta property="og:url" content="{%STATIC_ROOT%}" />
    <meta property="og:site_name" content="{%TITLE_PRE%}{%TITLE%}{%TITLE_POST%}" />
    <meta property="og:image" content="{%STATIC_ROOT%}{%MENU_IMAGE%}" />

    <title>{%TITLE_PRE%}{%TITLE%}{%TITLE_POST%}</title>{%HEADER_CSS%}{%HEADER_JS%}
</head>
<body class="no-js loading{%CUSTOM_BODY_CLASS%}" id="top">
    <script type="text/javascript">
        var doc = document.querySelector("body");
        var docClass = doc.className;
        if ((" " + docClass + " ").indexOf(" no-js ") > -1) {
            docClass = docClass.replace(new RegExp("no-js"), "js");
            doc.className = docClass;
        }
    </script>{%TOP_HTML%}
{%COOKIES_HTML%}<?php

if (isset($teksty)) {
    if (isset($teksty[1])) $data->tplData["TEXT_COOKIES_INFO"] = $teksty[1];
    if (isset($teksty[2])) $data->tplData["TEXT_COOKIES_ERROR"] = $teksty[2];
}

?>