    <aside class="main-news__image--wrapper">
        {%MAIN_NEWS_IMAGE%}
    </aside>
    {%NEWS_CONTENT%}

<?php
$data->tplData["CUSTOM_BODY_CLASS"] = "news";
if (isset($data->currentMenu["grafika"]) && $data->currentMenu["grafika"] != "") $data->tplData["NEWS_IMAGE"] = $data->currentMenu["grafika"];
$data->tplData["MAIN_NEWS_IMAGE"] = "<img class=\"main-news__image\" src=\"{%NEWS_IMAGE%}\" title=\"{$data->currentMenu['title']}\">";
$link = "{%STATIC_ROOT%}" . (isset($data->currentMenu["flink"]) ? $data->currentMenu["flink"] : "aktualnosci");
$dateFormat = "d-m-Y";

// GUESS MODE
$mode = "list";
$id = array_shift($routes);
$tytul = array_shift($routes);

if ($id != null && intval($id) == $id && $tytul != null) {
    $tytul = Utils::convertToAlphanumericOnly($tytul, "-", true);
    $test = $data->db->query("SELECT * FROM `aktualnosci{$lang}` WHERE `aktywny` = 1 AND `id` = \"{$id}\" LIMIT 1");
    if (isset($test[0])) {
        $test = $test[0];
        if ($tytul == Utils::convertToAlphanumericOnly($test['tytul'], "-", true)) $mode = "single";
    }
}

switch (strtolower($mode)) {
    // LIST
    // URL: /aktualności/dd-mm-YYYY/dd-mm-YYYY/strona/na-stronę
    // URL: /aktualności/strona/na-stronę
    // Nie mniej niż 5 na stronę
    case "list":
        $data->tplData["CUSTOM_BODY_CLASS"] .= " newslist";
        $minPerPage = 5;
        $total = $data->db->query("SELECT COUNT(*) AS `count` FROM `aktualnosci{$lang}` WHERE `aktywny` = 1 ORDER BY `data` DESC, `id` DESC")[0]['count'];
        if (Utils::isCorrectDate($id, $dateFormat)) {
            $start = $id;
            if (Utils::isCorrectDate($tytul, $dateFormat)) $end = $tytul;
            else $end = date($dateFormat);
            $id = array_shift($routes);
            $tytul = array_shift($routes);
            $tmp = max($end, $start);
            $start = min($end, $start);
            $end = $tmp;
            $startDate = date("Y-m-d", strtotime($start));
            $endDate = date("Y-m-d", strtotime($end));      
            $total = $data->db->query("SELECT COUNT(*) AS `count` FROM `aktualnosci{$lang}` WHERE `aktywny` = 1" . (isset($start) && isset($end) ? " AND `data` >= \"{$startDate}\" AND `data` <= \"{$endDate}\"" : "") . " ORDER BY `data` DESC, `id` DESC")[0]['count'];
        }
        if ($tytul != null && intval($tytul) == $tytul) $perPage = intval($tytul);
        else $perPage = $minPerPage;
        if ($perPage < $minPerPage) $perPage = $minPerPage;
        if ($id != null && intval($id) == $id) $from = (intval($id) - 1);
        else $from = 0;
        if ($from < 0) $from = 0;
        if ($total > 0) {
            $maxPage = floor(($total - 1) / $perPage);
            if ($from > $maxPage) $from = $maxPage;
            $maxPage += 1;
            $news = $data->db->query("SELECT * FROM `aktualnosci{$lang}` WHERE `aktywny` = 1" . (isset($start) && isset($end) ? " AND `data` >= \"{$startDate}\" AND `data` <= \"{$endDate}\"" : "") . " ORDER BY `data` DESC, `id` DESC LIMIT " . ($from * $perPage) . ", {$perPage}");
            $paginationOptions = [
                "page" => $from + 1,
                "perPage" => $perPage,
                "items" => $total,
                "pagesFromStart" => 0,
                "pagesFromEnd" => 0,
                "pagesLeftFromCenter" => 3,
                "pagesRightFromCenter" => 3,
                "separatorLeft" => false,
                "separatorRight" => false,
                "first" => false,
                "last" => false
            ];
            if ($maxPage <= $paginationOptions["pagesFromStart"] + $paginationOptions["pagesLeftFromCenter"] + 1 + $paginationOptions["pagesRightFromCenter"] + $paginationOptions["pagesFromEnd"]) $paginationOptions["allPages"] = true;
            $pagination = Utils::pagingArray($paginationOptions);
            ob_start(); ?>
            <div class="main-news__header--wrapper">
                <div class="container container--news main-news__header">
                    <h1 class="main-news__header--title">{%MENU_NAME%}</h1>
                    <div class="main-news__header--text">{%CMS_TEXT%}</div>
                </div>
            </div><?php
            $data->tplData["MAIN_NEWS_IMAGE"] .= ob_get_clean();
            $firstArticle = true;
            ob_start();
            $ids = [];
            foreach ($news as $article) array_push($ids, $article["id"]); ?>
            <section class="container container--news newslist"><?php echo $data->tplData["ARTICLES_LIST"]($ids); ?><?php if ($maxPage > 1) { ?>
                <div class="newslist__pagination"><?php
                echo "<a " . ($from + 1 == 1 ? "" : "href=\"{$link}" . (isset($start) && isset($end) ? "/{$start}/{$end}" : "") . ($perPage != $minPerPage ? "/1/{$perPage}" : "") . "\"") . "title=\"{%PAGE%} 1/{$maxPage}\">|&#9668;</a><span class=\"newslist__pagination--bordered\">";
                echo "<a " . ($from <= 0 ? "" : "href=\"{$link}" . (isset($start) && isset($end) ? "/{$start}/{$end}" : "") . ($perPage != $minPerPage ? "/{$from}/{$perPage}" : ($from > 0 ? "/{$from}" : "")) . "\"") . "title=\"{%PAGE%} " . ($from < 1 ? 1 : $from) . "/{$maxPage}\">&#9668;</a>";
                    foreach ($pagination as $item) {
                        // if ($item == 1 || $item == $maxPage) continue;
                        echo "<a " . ($from + 1 == $item ? "class=\"active\"" : "href=\"{$link}" . (isset($start) && isset($end) ? "/{$start}/{$end}" : "") . "/{$item}" . ($perPage != $minPerPage ? "/{$perPage}" : "") . "\"") . "title=\"{%PAGE%} {$item}/{$maxPage}\">{$item}</a>";
                    }
                    echo "<a " . ($from + 2 > $maxPage ? "" : "href=\"{$link}" . (isset($start) && isset($end) ? "/{$start}/{$end}" : "") . ($perPage != $minPerPage ? "/" . ($from + 2) . "/{$perPage}" : ($from > 0 ? "/" . ($from + 2) : "")) . "\"") . "title=\"{%PAGE%} " . ($from + 2 > $maxPage ? $maxPage : $from + 2) . "/{$maxPage}\">&#9658;</a>";
                    echo "</span><a " . ($from + 1 == $maxPage ? "" : "href=\"{$link}" . (isset($start) && isset($end) ? "/{$start}/{$end}" : "") . "/{$maxPage}" . ($perPage != $minPerPage ? "/{$perPage}" : "") . "\"") . "title=\"{%PAGE%} {$maxPage}/{$maxPage}\">&#9658;|</a>";
                ?></div><?php } ?>
            </section><?php
            $data->tplData["NEWS_CONTENT"] = ob_get_clean();
            $data->tplData["TITLE"] = ($from + 1 > 1 ? "{%PAGE%} " . ($from + 1) . "/{$maxPage} - " : "") . $data->tplData["TITLE"];
        } else {
            $data->tplData["NEWS_CONTENT"] = "{%NO_ARTICLES%}";
        }
    break;
    // SINGLE NEWS
    case "single":
        $news = $test;
        $closest = $data->db->query("SELECT `id`, `tytul`, `tekst_krotki`, `data`, `flink`, TIMESTAMPDIFF(DAY, DATE('{$test['data']}'), DATE(`data`)) AS `diff` FROM `aktualnosci{$lang}` WHERE `aktywny` = 1 ORDER BY `data` DESC, `id` DESC");
        $prev = null;
        $pos = null;
        $next = null;
        foreach ($closest as $key => $tmp) {
            if ($tmp["id"] == $test["id"]) {
                $pos = $key;
                break;
            }
        }
        if (isset($closest[$pos + 1]) && $closest[$pos + 1]) {
            $prev = $closest[$pos + 1];
            $prev["link"] = (isset($prev["flink"]) && $prev["flink"] != "") ? $prev["flink"] : ("{$link}/{$prev['id']}/" . Utils::convertToAlphanumericOnly($prev["tytul"]));
        }
        if (isset($closest[$pos - 1]) && $closest[$pos - 1]) {
            $next = $closest[$pos - 1];
            $next["link"] = (isset($next["flink"]) && $next["flink"] != "") ? $next["flink"] : ("{$link}/{$next['id']}/" . Utils::convertToAlphanumericOnly($next["tytul"]));
        }
        if (isset($news["tlo"]) && $news["tlo"] != "") $data->tplData["NEWS_IMAGE"] = $news["tlo"];
        ob_start(); ?>
    <section class="container container--news news__content">
        <div class="news" id="article">
            <div class="news__header">
            <?php
                if (isset($news["grafika"]) && $news["grafika"] != "") echo "<div class=\"news__header--image-wrapper\"><img class=\"news__header--image\" src=\"{$news['grafika']}\" title=\"{$news['tytul']}\"></div>";
            ?>
                <h1 class="news__header--title"><?php echo $news["tytul"]; ?></h1>
            </div>
            <div class="news__content--wrapper">
                <div class="news__content">
                    <?php echo $news["tekst_dlugi"]; ?>
                </div>
                <?php
                    if (isset($news["galeria"]) && $news["galeria"] != "") {
                        echo "<div class=\"news__content--image-wrapper\">";
                        $galleryFiles = Utils::dirFiles($news["galeria"]);
                        echo "<img class=\"news__content--image gallery\" src=\"{$news['galeria']}\" data-src=\"{$news['galeria']}\" title=\"{$news['tytul']}\" lazyload=\"lazyload\">";
                        foreach ($galleryFiles as $galleryFile) {
                            if ($galleryFile == $news["galeria"]) continue;
                            echo "<img class=\"news__content--image gallery\" src=\"{$galleryFile}\" data-src=\"{$galleryFile}\" title=\"{$news['tytul']}\" lazyload=\"lazyload\">";
                        }
                        echo "</div>";
                        $data->deps["header"]["css"][1000] = ["vendor/lightGallery/css/lightgallery.min.css"];
                        // $data->deps["footer"]["js"][900] = ["js/jquery.bgImgCrossFader.min.js"];
                        $data->deps["footer"]["js"][1000] = ["vendor/lightGallery/js/lightgallery.min.js"];
                        $data->tplData["FOOTER_JS"] .= <<<'JS'
        <script type="text/javascript">
            $(document).ready(function() {
                $(".news__content--image-wrapper").bgImgCrossFader({
                    selector: ".news__content--image",
                    resize: false
                });
                $(".news__content--image-wrapper").lightGallery({
                    download: false
                });
            });
        </script>    
JS;
                    }
                ?>
            </div>
            <div class="news__nav">
                <span class="news__prev"><?php
                if ($prev != null) echo "<a href=\"{$prev['link']}\" title=\"{$prev['tytul']}\">";
                echo "<span class=\"icon-left-arrow\"></span>";
                if ($prev != null) echo "</a>";
                ?></span>
                <span class="news__next"><?php
                if ($next != null) echo "<a href=\"{$next['link']}\" title=\"{$next['tytul']}\">";
                echo "<span class=\"icon-right-arrow\"></span>";
                if ($next != null) echo "</a>";
                ?></span>
            </div>
        </div>
    </section>
        <?php $data->tplData["NEWS_CONTENT"] = ob_get_clean();
        $data->tplData["ARTICLE_TITLE"] = $news["tytul"] . " - ";
        $data->tplData["ARTICLE_DATE"] = date($dateFormat, strtotime($news["data"])) . " - ";
        $data->tplData["MENU_DESCRIPTION"] = preg_replace("/\s+/s", " ", strip_tags(html_entity_decode($news["tekst_krotki"])));

    break;
}
