<?php
if(!isset($_SESSION["id_konta"]))
{
header("Location: ../index.php");
}

if(isset ($_GET["o"]))
{ $opcja = $_GET["o"]; }
else
{ $opcja = 0; }

$a = new Module($db, LANGS, "teksty", $kat);
$p = new Panel($a, LANGS, $a->ref);

$options = [
		"addDisplayText" => "tekst"
];

$renderTable = [
    "id" => [
        "name" => "ID",
        "styles" => "width: 3%; text-align: right",
        "valueStyles" => "margin: auto; text-align: right"
    ],
    "tytul" => [
        "name" => "Tytuł",
        "valueStyles" => "width: 15%; text-align: left",
        "value" => function($data) {
            return Utils::shortenText($data['row']['tytul'], 1, 5, 35);
        }
    ],
    "tresc" => [
        "name" => "Treść",
        "valueStyles" => "text-align: left",
        "value" => function($data) {
            return Utils::shortenText($data['row']['tresc'], 3, 20, 100);
        }
    ],
    "grafika" => [
        "name" => "Grafika",
        "styles" => "width: 3%; text-align: center",
        "value" => function($data) {
            return $data['row']['grafika'] != "" ? "&#10003;" : "";
        }
    ]
];

$renderTableSort = "ORDER BY `id` ASC, `tytul` ASC";

$count = $a->getEntriesCount();

if ($_GET['perPage'] < 20) $_GET['perPage'] = 20;
if ($_GET['perPage'] > 100) $_GET['perPage'] = 100;
if ($_GET['page'] > ceil($count / $_GET['perPage'])) $_GET['page'] = ceil($count / $_GET['perPage']);
if ($_GET['page'] < 1) $_GET['page'] = 1;

$renderTableSort .= " LIMIT " . ($_GET['page'] - 1) * $_GET['perPage'] . ", " . $_GET['perPage'];
// SORTING FIRST SIGNED, THEN UNSIGNED - -1, -2, -3, ..., -10, 1, 2, 3, ... 999
// SELECT *, `id` < 0 AS `signed`, ABS(`id`) AS `abs_id` FROM `teksty` ORDER BY `signed` DESC, `abs_id` ASC

// DELETING DUPLICATES (contacts IS TABLE NAME)
// DELETE t1 FROM contacts t1
//         INNER JOIN
//     contacts t2 
// WHERE
//     t1.id < t2.id AND t1.email = t2.email;

$renderEditor = [
    "tytul" => [
        "lang" => "single",
        "displayName" => "Tytuł",
        "type" => "text"
    ],
    "tresc" => [
        "lang" => "single",
        "displayName" => "Treść",
        "type" => "html",
        "fieldStyles" => "height: 300px"
    ],
    "grafika" => [
        "lang" => "all",
        "displayName" => "Grafika",
        "type" => "image",
        "buttonStyles" => "margin-left: 20px"
    ]
];

switch ($opcja){
    case 1: case 2: include_once 'dodaj_tekst.php'; break;
    default: include_once 'tekst.php'; break;

}

?>