$(document).ready(function() {
    var sliders = $(".articles__slider");
    if (sliders.length > 0) {
        sliders.find(".articles__item:not(.first):not(.second):not(.third)").css("display", "none");
        var nav = sliders.find(".articles__slider--nav");
        nav.on("click", "[class*=\"articles__slider--nav-\"]", function() {
            var step = 0;
            var t = $(this);
            if (t.hasClass("articles__slider--nav-prev")) step = -1;
            if (t.hasClass("articles__slider--nav-next")) step = 1;
            if (step == 0) return false;
            var slider = t.closest(".articles__slider");
            var slides = slider.find(".articles__slider--slides");
            var items = ["first", "second", "third"];
            var prevIndexes = [];
            var indexes = [];
            var itemIndex = slides.find("." + items[0]);
            slides = slides.find(".articles__item");
            if (slides.length < items.length) items = items.slice(0, slides.length);
            prevIndexes[0] = slides.index(itemIndex);
            while (prevIndexes[0] < 0) prevIndexes[0] += slides.length;
            while (prevIndexes[0] >= slides.length) prevIndexes[0] -= slides.length;
            for (var i = 1; i < items.length; i++) {
                prevIndexes[i] = prevIndexes[i - 1] + 1;
                while (prevIndexes[i] < 0) prevIndexes[i] += slides.length;
                while (prevIndexes[i] >= slides.length) prevIndexes[i] -= slides.length;
            }
            var prevCollection = $();
            var newCollection = $();
            for (var i = 0; i < items.length; i++) {
                indexes[i] = prevIndexes[i] + step;
                while (indexes[i] < 0) indexes[i] += slides.length;
                while (indexes[i] >= slides.length) indexes[i] -= slides.length;
                prevCollection = prevCollection.add(slides.eq(prevIndexes[i]));
                newCollection = newCollection.add(slides.eq(indexes[i]));
            }
            prevCollection.fadeOut(400, function() {
                $(this).removeClass(items.join(" "));
                for (var i = 0; i < items.length; i++) {
                    slides.eq(indexes[i]).addClass(items[i]);
                }
                newCollection.fadeIn();
            });
        });
    }
});
