$(document).ready(function() {




    $(function() {
        //caches a jQuery object containing the header element
        var header = $("header");
        $(window).on("load resize scroll", function(e) {
            var scroll = $(window).scrollTop();

            if (scroll >= 1) {
                header.removeClass('clearHeader').addClass("darkHeader");
            } else {
                header.removeClass("darkHeader").addClass('clearHeader');
            }
        });

    });
    _ = {};
    _.debounce = function(fn, delay) {
        var timer = undefined;
        return function () {
            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
            }

            if (timer) clearTimeout(timer);
            timer = setTimeout(function () {
                fn.apply(null, args);
            }, delay);
        };
    };
    _.throttle = function(fn, delay) {
        var canCall = true;
        return function () {
            for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
                args[_key2] = arguments[_key2];
            }

            if (canCall) {
                fn.apply(null, args);
                canCall = false;
                setTimeout(function () {
                    canCall = true;
                }, delay);
            }
        };
    };

    // IE9 window.requestAnimationFrame polyfill

    (function() {
        var lastTime = 0;
        var vendors = ['webkit', 'moz'];
        for(var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
            window.requestAnimationFrame = window[vendors[x]+'RequestAnimationFrame'];
            window.cancelAnimationFrame =
            window[vendors[x]+'CancelAnimationFrame'] || window[vendors[x]+'CancelRequestAnimationFrame'];
        }

        if (!window.requestAnimationFrame)
            window.requestAnimationFrame = function(callback, element) {
                var currTime = new Date().getTime();
                var timeToCall = Math.max(0, 16 - (currTime - lastTime));
                var id = window.setTimeout(function() { callback(currTime + timeToCall); },
                timeToCall);
                lastTime = currTime + timeToCall;
                return id;
            };

        if (!window.cancelAnimationFrame)
            window.cancelAnimationFrame = function(id) {
                clearTimeout(id);
            };
    }());
    
    try {
        $("*[class*=\"__header\"]").hyphenate($("html").attr("lang"));
    } catch(err) {
        console.log("Hyphenate not loaded!");
    }

    var menuNav = $("#nav.nav__wrapper .nav");
    if (menuNav.length > 0) {
        menuNav.on("click touch", ".dropdown", function(e) {
            if (window.screen.availWidth <= 1023) {
                e.stopPropagation();
                if ($(e.target).is("a")) return true;
                var t = $(this);
                t.toggleClass("expanded");
                var sub = t.children("ul").eq(0);
                if (t.hasClass("expanded")) sub.stop(true).slideDown(); else sub.stop(true).slideUp();
            }
        });
    }

    var catNav = $(".category-tree");
    if (catNav.length > 0) {
        catNav.on("click touch", ".dropdown", function(e) {
            e.stopPropagation();
            var target = $(e.target);
            if (target.is("a") && !target.next().is("ul")) {
                if (target.attr("href") != "") window.location.href = target.attr("href");
                return false;
            }
            var t = $(this);
            t.toggleClass("expanded");
            var sub = t.children("ul").eq(0);
            if (t.hasClass("expanded")) sub.stop(true).slideDown(); else sub.stop(true).slideUp();
            return false;
        });
    }
    
    var elements = $(".breadcrumbs__wrapper, .footer-sentences__wrapper");
    if (elements.length > 0) {
        elements.css("transition", 1 / 24 + "s background-position-y linear");
        $(window).on("scroll resize", _.throttle(function() {
            var threshold = 100; // offset for actions
            var body = $("body");
            var bodyOffset = body.offset().top;
            var pageHeight = body.height() - bodyOffset;
            elements.each(function(index, element) {
                var element = $(element);
                var elementHeight = element.height();
                var elementPosTop = element.offset().top;
                var elementPosBottom = elementPosTop + elementHeight;
                var screenHeight = screen.availHeight;
                var pageVisibleTop = $("html").scrollTop();
                var pageVisibleBottom = pageVisibleTop + screenHeight;
                var elementPercentageCovering = elementHeight * 100 / screenHeight;
                var visiblePercentageTop = (Math.min(elementPosBottom, pageVisibleBottom) - elementPosTop) * 100 / elementHeight;
                var visiblePercentageBottom = Math.min(100, (elementPosBottom - pageVisibleTop) * 100 / elementHeight);
                var elementVisibilityPercentage = Math.max(0, Math.min(100, visiblePercentageTop, visiblePercentageBottom));
                var screenCoverageTop = Math.max(0, elementPosTop - pageVisibleTop);
                var screenCoverageBottom = Math.max(0, pageVisibleBottom - elementPosBottom);
                var screenCoveragePercentage = Math.max(0, screenHeight - (screenCoverageTop + screenCoverageBottom)) * 100 / screenHeight;
                var backgroundPosPercentage = Math.max(0, Math.min(100, (pageVisibleBottom - elementPosTop) * 100 / (elementPosBottom - elementPosTop + screenHeight)));
                if (elementPosTop <= pageVisibleBottom + threshold && pageVisibleBottom <= elementPosBottom + screenHeight + threshold) { // Beginning of image visible
                    element.css("background-position-y", backgroundPosPercentage + "%");
                }
            });
        }, 1000 / 24));
    }

   
   
        $('ul.gallery').lightGallery({
            thumbnail:false,
            selector: 'a'
        }); 
        $('.referencje').lightGallery({
            thumbnail:false,
            selector: 'a'
        }); 

        $(".oferta-ikona").click(function(){
            $(".oferta-ikona").removeClass('active');
            $(".ul-d").removeClass('active-ul');
            $(".oferta-ikona").removeClass('active-ul');
             $(this).toggleClass("active");


             var myEm = $(this).attr('data-item');
             $('div[data-item = '+myEm+']').addClass('active-ul');
            
          }); 
   

    var gridCategories = $(".offer__grid.grid");
    if (gridCategories.length > 0) {
        gridCategories.on("click", ".offer__grid-item", function(e) {
            var t = $(this);
            e.stopPropagation();
            e.preventDefault();
            window.location.href = t.find("a").attr("href");
        });
    }

  
        $("#lightSlider").lightSlider({
            item: 1,
            autoWidth: false,
            slideMove: 1, // slidemove will be 1 if loop is true
            slideMargin: 0,
     
            addClass: '',
            mode: "fade",
            useCSS: true,
            cssEasing: 'ease', //'cubic-bezier(0.25, 0, 0.25, 1)',//
            easing: 'linear', //'for jquery animation',////
     
            speed: 400, //ms'
            auto: true,
            loop: true,
            slideEndAnimation: true,
            pause: 5000,
     
            keyPress: false,
            controls: true,
            prevHtml: '',
            nextHtml: '',
     
            rtl:false,
            adaptiveHeight:false,
     
            vertical:false,
            verticalHeight:0,
            vThumbWidth:100,
     
            thumbItem:10,
            pager: true,
            gallery: false,
            galleryMargin: 5,
            thumbMargin: 5,
            currentPagerPosition: 'middle',
     
            enableTouch:false,
            enableDrag:false,
            freeMove:true,
            swipeThreshold: 40,
     
            responsive : [],
     
            onBeforeStart: function (el) {},
            onSliderLoad: function (el) {},
            onBeforeSlide: function (el) {},
            onAfterSlide: function (el) {},
            onBeforeNextSlide: function (el) {},
            onBeforePrevSlide: function (el) {}
        });
      
});
