<?php
if(!isset($_SESSION["id_konta"]))
{
header("Location: ../index.php");
}

if(isset ($_GET["o"]))
{ $opcja = $_GET["o"]; }
else
{ $opcja = 0; }

$a = new Module($db, LANGS, "aktualnosci", $kat);
$p = new Panel($a, LANGS, $a->ref);

$options = [
    // "options" => "enableLeveling",
    // "level" => $currentLvl,
    // "levelIDColumn" => "id",
    // "levelParentColumn" => "rodzic",
    // "levelDisplayTextColumn" => "nazwa",
    // "levelSeparatorStr" => "/",
    "addDisplayText" => "aktualność",
    "dataTable" => true,
    "orderColumn" => "data",
    // "swapColumns" => "kol",
    // "defaultSortBy" => 3,
    // "inputSorting" => 3,
    "checkboxSorting" => 7
];

$renderTable = [
    "id" => [
        "name" => "ID",
        "styles" => "width: 70px; text-align: center"
    ],
    "tytul" => [
        "name" => "Tytuł",
        "valueStyles" => "text-align: left"
    ],
    "tekst_krotki" => [
        "name" => "Krótki tekst",
        "valueStyles" => "width: 15%; text-align: left",
        "value" => function($data) {
            return Utils::shortenText($data['row']['tekst_krotki'], 1, 5, 35);
        }
    ],
    "tekst_dlugi" => [
        "name" => "Treść",
        "valueStyles" => "width: 15%; text-align: left",
        "value" => function($data) {
            return Utils::shortenText($data['row']['tekst_dlugi'], 1, 5, 35);
        }
    ],
    "data" => [
        "name" => "Data",
        "styles" => "width: 100px",
        "valueStyles" => "text-align: left"
    ],
    "grafika" => [
        "name" => "Grafika",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return $data['row']['grafika'] != "" ? "&#10003;" : "";
        }
    ],
    "galeria" => [
        "name" => "Galeria",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return $data['row']['galeria'] != "" ? "&#10003;" : "";
        }
    ],
    "tlo" => [
        "name" => "Tło",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return $data['row']['tlo'] != "" ? "&#10003;" : "";
        }
    ],
    "glowna" => [
        "name" => "Na głównej",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return "<form id=\"glowna" . $data['row']['id'] . "\" method=\"POST\"><input name=\"id\" type=\"hidden\" value=\"" . $data['row']['id'] . "\" /><input name=\"glowna\" type=\"hidden\" value=\"0\" /><input type=\"checkbox\" name=\"glowna\"" . ($data['row']['glowna'] != 0 ? " checked=\"checked\"" : "") . " /></form>";
        }
    ],
    "aktywny" => [
        "name" => "Aktywny",
        "styles" => "width: 70px; text-align: center",
        "value" => function($data) {
            return "<form id=\"aktywny" . $data['row']['id'] . "\" method=\"POST\"><input name=\"id\" type=\"hidden\" value=\"" . $data['row']['id'] . "\" /><input name=\"aktywny\" type=\"hidden\" value=\"0\" /><input type=\"checkbox\" name=\"aktywny\"" . ($data['row']['aktywny'] != 0 ? " checked=\"checked\"" : "") . " /></form>";
        }
    ]
];

$renderEditor = [
    "tytul" => [
        "lang" => "single",
        "displayName" => "Tytuł",
        "displayStyles" => "width: 100px",
        "type" => "text"
    ],
    "flink" => [
        "lang" => "single",
        "displayName" => "Przyjazny link",
        "displayStyles" => "width: 100px",
        "type" => "text"
    ],
    "tekst_krotki" => [
        "lang" => "single",
        "displayName" => "Krótki tekst",
        "displayStyles" => "width: 100px",
        "type" => "html",
        "fieldStyles" => "height: 300px"
    ],
    "tekst_dlugi" => [
        "lang" => "single",
        "displayName" => "Treść",
        "displayStyles" => "width: 100px",
        "type" => "html",
        "fieldStyles" => "height: 300px"
    ],
    "data" => [
        "lang" => "all",
        "displayName" => "Data",
        "displayStyles" => "width: 100px",
        "type" => "date"
    ],
    "grafika" => [
        "lang" => "all",
        "displayName" => "Grafika",
        "displayStyles" => "width: 100px",
        "type" => "image",
        "buttonStyles" => "margin-left: 20px"
    ],
    "galeria" => [
        "lang" => "single",
        "displayName" => "Galeria",
        "displayStyles" => "width: 100px",
        "type" => "image",
        "buttonStyles" => "margin-left: 20px"
    ],
    "tlo" => [
        "lang" => "all",
        "displayName" => "Tło",
        "displayStyles" => "width: 100px",
        "type" => "image",
        "buttonStyles" => "margin-left: 20px"
    ],
    "glowna" => [
        "lang" => "all",
        "displayName" => "Na głównej",
        "displayStyles" => "width: 100px",
        "type" => "checkbox",
        "fieldStyles" => "width: unset"
    ],
    "aktywny" => [
        "lang" => "all",
        "displayName" => "Aktywny",
        "displayStyles" => "width: 100px",
        "type" => "checkbox",
        "fieldStyles" => "width: unset"
    ]
];

switch ($opcja){
    case 1: case 2: include_once 'dodaj.php'; break;
    default: include_once 'wyswietl.php'; break;

}

?>