<?php
if(!isset($_SESSION["id_konta"]))
{
header("Location: ../index.php");
}

if(isset ($_GET["o"]))
{ $opcja = $_GET["o"]; }
else
{ $opcja = 0; }

$a = new Module($db, LANGS, "locales", $kat);
$p = new Panel($a, LANGS, $a->ref);

$options = defined("ENV") && strtolower(ENV) == "prod" ? ["disableButtons" => "add,delete"] : [];

$options = array_merge($options, ["addDisplayText" => "zmienną"]);

$renderTable = [
    /* "id" => [
        "name" => "ID",
        "styles" => "width: 3%; text-align: right",
        "valueStyles" => "margin: auto; text-align: right"
    ], */
    "nazwa" => [
        "name" => "Nazwa",
        "valueStyles" => "width: 15%; text-align: left"
    ],
    "tekst" => [
        "name" => "Tekst",
        "valueStyles" => "text-align: left",
        "value" => function($data) {
            return Utils::shortenText($data['row']['tekst'], 3, 20, 100);
        }
    ]
];

$renderTableSort = "ORDER BY `nazwa` ASC, `id` ASC";

$renderEditor = [
    "nazwa" => array_merge([
        // "attributes" => ["readonly"],
        "lang" => "all",
        "displayName" => "Nazwa zmiennej",
        "type" => "text"
    ], defined("ENV") && strtolower(ENV) == "prod" ? ["attributes" => ["readonly" => "readonly"]] : []),
    "tekst" => [
        "lang" => "single",
        "displayName" => "Wartość",
        "type" => "long_text",
        "fieldStyles" => "width: 100%; height: 300px"
    ]
];

switch ($opcja){
    case 1: case 2: include_once 'dodaj_zmienna.php'; break;
    default: include_once 'zmienna.php'; break;

}

/* QUERY FOR ID REARRANGMENT
ALTER TABLE `locales` DROP PRIMARY KEY;
SET @id = 0;
UPDATE `locales` SET `id` = @id := @id + 1 ORDER BY `nazwa`	ASC;
ALTER TABLE `locales` ADD PRIMARY KEY(`id`);
ALTER TABLE `locales` AUTO_INCREMENT = 1;
*/

?>