<?php
ob_start();
error_reporting(E_ALL-E_NOTICE | E_STRICT);
include_once '../core/config.php';
$nazwasesji = preg_replace("/[^a-z0-9]/", "", DEFINED("COMPANY_NAME") ? COMPANY_NAME : (DEFINED("COMPANY_FULL_NAME") ? COMPANY_FULL_NAME : (DEFINED("COMPANY") ? COMPANY : $_SERVER["HTTP_HOST"])));
session_name($nazwasesji);

session_cache_limiter('private');
session_cache_expire(1);

session_start();
date_default_timezone_set('Europe/Warsaw');
//print_r($_SESSION);

if (!DEFINED("DOMENA")) DEFINE("DOMENA", $nazwasesji);

$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$domainName = $_SERVER['HTTP_HOST'];
$addr = $protocol . $domainName . $_SERVER['REQUEST_URI'];
$addr = substr($addr, 0, strrpos($addr, "/"));
$addr = str_replace([$protocol . $domainName, "/admin1234"], "", $addr);

if (!defined("HOME_ROOT")) define("HOME_ROOT", $addr);
$root = rtrim($_SERVER['DOCUMENT_ROOT'], HOME_ROOT . "/");
$root = $root . "/";

define("HOME_DIR", "/userfiles/");
define("HOME_URL", $protocol . $domainName . HOME_ROOT . "/userfiles");

define("HOME_URLSTATIC", $protocol . $domainName . HOME_ROOT . "/");

include_once '../core/connection.php';

$db = new db("pdo", $currEnv["DB_SERVER"], $currEnv["DB_USER"], $currEnv["DB_PASS"], $currEnv["DB_NAME"]);

unset($currEnv["DB_SERVER"]);
unset($currEnv["DB_USER"]);
unset($currEnv["DB_PASS"]);
unset($currEnv["DB_NAME"]);

foreach ($currEnv as $envKey => $envVal) {
      if (!DEFINED($envKey)) DEFINE($envKey, $envVal);
}

unset($currEnv);
unset($env);
unset($envSet);
unset($envHosts);
?>
